const btnEnregistrerBailleur = document.getElementById('btnEnregistrerBailleur');

btnEnregistrerBailleur.addEventListener('click', function() {
    const form = document.getElementById('formBailleur');
    const formData = new FormData(form);

    fetch(form.action, {
        method: 'POST',
        body: formData,
        headers: {
            'X-CSRFToken': formData.get('csrfmiddlewaretoken')
        }
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            alert('Bailleur enregistré avec succès !');
            window.location.reload();
        } else {
            alert('Ce bailleur existe déjà dans la base de données.');
        }
    });
});